package com.aircraft.modules.system.service;

import com.aircraft.modules.system.domain.vo.KeyValueEntity;

import java.util.List;

/**
 * @author chenxiky
 * @version 1.0.0
 * @since 2025/7/27
 */
public interface KeyValueEntityService {

    /**
     * 根据不同的业务类型获取不同的用户下拉
     *
     * @param userType  用户类型
     * @return  List<KeyValueEntity>
     */
    List<KeyValueEntity> obtainUserListByType(Integer userType);

    /**
     * 获取景区下列值
     *
     * @return  List<KeyValueEntity>
     */
    List<KeyValueEntity> obtainScenicList();

    /**
     * 获取设备下拉列表
     *
     * @return  List<KeyValueEntity>
     */
    List<KeyValueEntity> obtainDeviceList(Long attractionId);

    /**
     * 获取所有路线
     *
     * @return  List<KeyValueEntity>
     */
    List<KeyValueEntity> obtainAllRoutes();


    /**
     * 获取景区下拉列表
     *
     * @return  List<KeyValueEntity>
     */
    List<KeyValueEntity> obtainRouteListByScenicId(Long scenicId);


}
